Subject: Comments on Phillip's review

From: Harald Nordgren <[email-masked]>
Date: Sat, 25 Apr 2026 19:41:57 +0200

> > Add a --fetch option to git checkout and git switch, plus a
> > checkout.autoFetch config to enable it by default. When set and the
> 
> Why is the config not `checkout.config`? So it’s named the same as the
> option (modulo snake case/camel case which is not relevant here).

Will rename the config to 'checkout.fetch'.

> The motivation for why this is being proposed maybe might as well go in
> the commit message. Maybe that’s just me.
> 
> The commit message just says that “this thing is added”. Not why.

I will update it.

> I guess a later version will have the changes to the documentation.

I forgot that, will add it!

> s/remote-tracking ref/remote-tracking branch/ ?
> 
> git(1) doesn’t have a namespace for tracking refs in general.

👍

Harald